%define name		kmyfirewall
%define version		0.9.6
%define release 	3mdk

%define section		Configuration/Networking
%define title		KMyFirewall
%define summary		An IPTables based firewall configuration tool for the KDE.

Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Summary:		%{summary}
Packager:		%{packager}
Group:			System/Configuration/Networking
URL:			http://kmyfirewall.sourceforge.net/
Source0:		%{name}-%{version}.tar.bz2
Source1:		%name-icons.tar.bz2
Patch0:			kmyfirewall-CXX.patch.bz2
BuildRoot:		%_tmppath/%{name}-%{version}/buildroot

%description
KMyFirewall attempts to make it easier to setup IPTables based firewalls
on Linux systems.  It will be the right tool if you like to have a so
called "Personal Firewall" running on your Linux box, but don't have the
time and/or the interest to spend hours in front of the IPTables manual
just to setup a Firewall that keeps the "bad" people out.

There is also the possibility to save entire rule sets, so you only have
to configure your rule set one time and then you can use it on several
computers giving each of them a similar configuration (p.e. school
networks, office, university etc.). For a complete list of the features
have a look at the Features section

Programs can't do any magic so you still will have to know what your
firewall should do to setup your rule set. KMyFirewall just tries to
help you as much as possible, but you decide what it will do.

%prep
%setup -q
%setup -q -T -D -a1
%patch0 -p0 -b .kmyfirewall-CXX

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%_bindir/*
%_menudir/*
%_datadir/*/*

%_miconsdir/*
%_iconsdir/*
%_liconsdir/*


%changelog
* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-3mdk
- Rebuild

* Wed Sep 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.6-2mdk
- fixed loong summary
- correct permission of kmyfirewall source code archive
- cleanup spec file

* Tue Sep 2 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.6-1mdk
- some reformatting of description
- use configure and make macros
- small rewrite of install section
- add icons
- dirty patch for libtool CXX problem

* Fri Jun 28 2003 Michael Spivak <phazeman@netvision.net.il> 1phaze
- Create the spec for %{name}-%{version}

